GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

          • Get Server Public Information
          • Get Country List
        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. Others

  10. /
  11. Get Server Public Information

¶ Get server public information

Update time: 2025-07-23 07:34:21
Edit

The endpoint can get the server's public information, such as RSA256 public key, SM2 public key, GenAuth service version number, etc.

¶ Method name

AuthenticationClient.get_system_info

¶ Request parameters

NameType
Required
Default value
Description
Sample value

¶ Request response

Type: SystemInfoResp

NameTypeDescription
rsaSystmeInfoRSAConfigRSA256 encryption configuration information
sm2SystmeInfoSM2ConfigNational SM2 Encryption configuration information
versionSystmeInfoVersionNational SM2 encryption configuration information
publicIpsarrayGenAuth service external IP list

Sample result:

{
  "rsa": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "sm2": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxx"
  },
  "version": {
    "server": "2.0.0",
    "console": "2.0.0",
    "login": "2.0.0"
  }
}

¶ Data structure

¶ SystmeInfoRSAConfig

NameType
Is it required?
Description
Sample value
publicKeystringYesRSA256 public keyxxxxxxxxxxxxxxxxxxxxxx

¶ SystmeInfoSM2Config

NameType
Required
Description
Sample value
publicKeystringYesSM2 public keyxxxxxxxxxxxxxxxxxxxxxx

¶ SystmeInfoVersion

NameType
Required
Description
Sample value
serverstringYesGenAuth core service version number2.0.0
consolestringYesGenAuth console version number2.0.0
loginstringYesGenAuth hosted login page version number2.0.0
Previous article: Get GenAuth Server Cached WeChat Mini Program/Official Account Access Token Next article: Get Country List
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.